Subject: bug#52973: Adding a few context-menu-mode commands

From: Juri Linkov <[email-masked]>
Date: Thu, 13 Jan 2022 10:35:50 +0200

>> For example, today while editing a shell script I needed to consult the
>> man page about the arguments of the command `zenity` used in the script.
>> It takes too many keystrokes to type `M-x man RET zenity RET'
>> or first to move point to this command, then to type `M-x man RET RET'.
>>
>> With the context menu, it's just one click: press the right mouse button
>> on the command name, select the item "Open man page", and release the
>> mouse button.
>
> So it sounds to me like shell-script-mode (and derivatives and other
> shell-ish modes) should have the `man' bits of the context menu enabled
> by default?

Nope.  This `man' menu item might be useful everywhere, for example,
in this Gnus Article buffer, to look up the command cited above.